Debian Bug report logs - #564052
FTBFS on mips/mipsel due to broken binutils

version graph

Package: tftp-hpa; Maintainer for tftp-hpa is Daniel Baumann <mail@daniel-baumann.ch>; Source for tftp-hpa is src:tftp-hpa.

Reported by: daniel@debian.org

Date: Thu, 7 Jan 2010 11:21:02 UTC

Severity: serious

Tags: help, patch, sid, squeeze

Fixed in version tftp-hpa/5.0-11

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Forwarded to syslinux@zytor.com

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Syslinux Maintainers <syslinux@lists.debian-maintainers.org>:
Bug#564052; Package tftp-hpa. (Thu, 07 Jan 2010 11:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
New Bug report received and forwarded. Copy sent to Debian Syslinux Maintainers <syslinux@lists.debian-maintainers.org>. (Thu, 07 Jan 2010 11:21:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: FTBFS on mips/mipsel due to broken binutils
Date: Thu, 07 Jan 2010 12:17:36 +0100
Package: tftp-hpa
Severity: serious

tftp doesn't build on mips/mipsel anymore due to binutils #519006.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Added blocking bug(s) of 564052: 519006 and 526969 Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Thu, 07 Jan 2010 11:28:01 GMT) Full text and rfc822 format available.

Added tag(s) help. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Fri, 08 Jan 2010 11:57:06 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'syslinux@zytor.com'. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Fri, 08 Jan 2010 11:57:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Syslinux Maintainers <syslinux@lists.debian-maintainers.org>:
Bug#564052; Package tftp-hpa. (Fri, 22 Jan 2010 19:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thorsten Glaser <tg@mirbsd.de>:
Extra info received and forwarded to list. Copy sent to Debian Syslinux Maintainers <syslinux@lists.debian-maintainers.org>. (Fri, 22 Jan 2010 19:33:03 GMT) Full text and rfc822 format available.

Message #16 received at 564052@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@mirbsd.de>
To: 564052@bugs.debian.org
Cc: control@bugs.debian.org
Subject: tftp-hpa: diff for NMU version 5.0-10.1
Date: Fri, 22 Jan 2010 19:30:42 +0000 (UTC)
[Message part 1 (text/plain, inline)]
tags 564052 + patch
thanks

Dear Debian Syslinux Maintainers,

I have prepared an NMU for tftp-hpa (version 5.0-10.1) to work
around the mipsel toolchain problem and fix the FTBFS.

I’ll have it uploaded to according to devref §5.11, patch attached.

bye,
//mirabilos
-- 
Sometimes they [people] care too much: pretty printers [and syntax highligh-
ting, d.A.] mechanically produce pretty output that accentuates irrelevant
detail in the program, which is as sensible as putting all the prepositions
in English text in bold font.	-- Rob Pike in "Notes on Programming in C"
[tftp-hpa_5.0-10.1.debdiff (text/plain, attachment)]

Added tag(s) patch. Request was from Thorsten Glaser <tg@mirbsd.de> to control@bugs.debian.org. (Fri, 22 Jan 2010 19:33:08 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Fri, 22 Jan 2010 20:03:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Syslinux Maintainers <syslinux@lists.debian-maintainers.org>:
Bug#564052; Package tftp-hpa. (Fri, 22 Jan 2010 20:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Syslinux Maintainers <syslinux@lists.debian-maintainers.org>. (Fri, 22 Jan 2010 20:09:03 GMT) Full text and rfc822 format available.

Message #25 received at 564052@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Thorsten Glaser <tg@mirbsd.de>
Cc: 564052@bugs.debian.org
Subject: Re: Bug#564052: tftp-hpa: diff for NMU version 5.0-10.1
Date: Fri, 22 Jan 2010 21:01:40 +0100
tag 564052 pending
thanks

Thorsten Glaser wrote:
> I have prepared an NMU for tftp-hpa (version 5.0-10.1) to work
> around the mipsel toolchain problem and fix the FTBFS.

thanks.

> I’ll have it uploaded to according to devref §5.11, patch attached.

no need to, i'll upload it now.

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Fri, 22 Jan 2010 21:30:10 GMT) Full text and rfc822 format available.

Notification sent to daniel@debian.org:
Bug acknowledged by developer. (Fri, 22 Jan 2010 21:30:11 GMT) Full text and rfc822 format available.

Message #30 received at 564052-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 564052-close@bugs.debian.org
Subject: Bug#564052: fixed in tftp-hpa 5.0-11
Date: Fri, 22 Jan 2010 21:26:52 +0000
Source: tftp-hpa
Source-Version: 5.0-11

We believe that the bug you reported is fixed in the latest version of
tftp-hpa, which is due to be installed in the Debian FTP archive:

tftp-hpa_5.0-11.diff.gz
  to main/t/tftp-hpa/tftp-hpa_5.0-11.diff.gz
tftp-hpa_5.0-11.dsc
  to main/t/tftp-hpa/tftp-hpa_5.0-11.dsc
tftp-hpa_5.0-11_i386.deb
  to main/t/tftp-hpa/tftp-hpa_5.0-11_i386.deb
tftpd-hpa_5.0-11_i386.deb
  to main/t/tftp-hpa/tftpd-hpa_5.0-11_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 564052@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated tftp-hpa package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 22 Jan 2010 21:05:54 +0100
Source: tftp-hpa
Binary: tftp-hpa tftpd-hpa
Architecture: source i386
Version: 5.0-11
Distribution: unstable
Urgency: medium
Maintainer: Debian Syslinux Maintainers <syslinux@lists.debian-maintainers.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 tftp-hpa   - HPA's tftp client
 tftpd-hpa  - HPA's tftp server
Closes: 563079 564052
Changes: 
 tftp-hpa (5.0-11) unstable; urgency=medium
 .
   * Removing explicit LDFLAGS, did apparently not fix the FTBFS on
     mips*.
   * Adding updated Russian debconf translations from Yuri Kozlov
     <yuray@komyakino.ru> (Closes: #563079).
   * Applying patch from Thorsten Glaser <tg@mirbsd.de> to fix FTBFS on
     mips/mipsel (Closes: #564052).
Checksums-Sha1: 
 88e8c465f0f5392a0d01532febc26b120c8e0875 1325 tftp-hpa_5.0-11.dsc
 68699b0a99cd100871f4e46898a2d002642cd984 18601 tftp-hpa_5.0-11.diff.gz
 883d77a514bb2338c6a531baecc7b336d9e24eea 25886 tftp-hpa_5.0-11_i386.deb
 b7f3253744d634ae3967a4ae5c9ffaf4b044fce0 44220 tftpd-hpa_5.0-11_i386.deb
Checksums-Sha256: 
 6570e7087629482f2803f264adfbc81e24645c43346d72ca4f3749eda41687f7 1325 tftp-hpa_5.0-11.dsc
 456b1d0e75e53233b4a89603f70078301246ea9a678e263c16d931dcfdae2a00 18601 tftp-hpa_5.0-11.diff.gz
 a40cb10064c06f164e19ba4e7f386a14120ef0f9231c4211e9522896c6cb19e6 25886 tftp-hpa_5.0-11_i386.deb
 7ce10803a35605319c4c6e5d6c1173575bf88c8349a572ca0f0bc5fd9d7b64e3 44220 tftpd-hpa_5.0-11_i386.deb
Files: 
 21b49e188dc062e0a41a252178b75b2a 1325 net extra tftp-hpa_5.0-11.dsc
 b44482d6b01205d36e7be755688b514f 18601 net extra tftp-hpa_5.0-11.diff.gz
 25d4a2648fca4da969da2b1270a2cc7b 25886 net extra tftp-hpa_5.0-11_i386.deb
 e9465adb9b0e77f5216d8217c0b65f45 44220 net extra tftpd-hpa_5.0-11_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAktaBXAACgkQ+C5cwEsrK5791gCgqyZENpQ4yMslE+prMt25WwFO
0OEAn1cfrtoX4mcPUPeCDZOMMpoE/All
=+gHf
-----END PGP SIGNATURE-----





Added tag(s) sid and squeeze. Request was from Gerfried Fuchs <rhonda@deb.at> to control@bugs.debian.org. (Fri, 12 Feb 2010 11:15:10 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Apr 2011 08:20:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 05:47:50 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.